# Uses of Class
org.eclipse.birt.chart.computation.LegendLayoutHints

Packages that use LegendLayoutHints
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.

## Uses of LegendLayoutHints in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return LegendLayoutHints
Modifier and Type
Method
Description
`LegendLayoutHints`
RunTimeContext.`getLegendLayoutHints()`
Returns the LegendItemLayoutHints for current context.
Methods in org.eclipse.birt.chart.factory with parameters of type LegendLayoutHints
Modifier and Type
Method
Description
`void`
RunTimeContext.`setLegendLayoutHints(LegendLayoutHints lilh)`
Sets the LegendItemLayoutHints for current context.